{% set cookie = config.plugins["etd-cookie"] %}

tarteaucitron.init({
    "privacyUrl": "{{ cookie.privacyUrl }}",
    "hashtag": "#{{ cookie.hashtag }}",
    "cookieName": "{{ cookie.cookieName }}",
    "orientation": "{{ cookie.orientation }}",
    "groupServices": {% if cookie.groupServices == true %}true{% else %}false{% endif %},
    "showAlertSmall": {% if cookie.showAlertSmall == true %}true{% else %}false{% endif %},
    "cookieslist": {% if cookie.cookieslist == true %}true{% else %}false{% endif %},
    "showIcon": {% if cookie.showIcon == true %}true{% else %}false{% endif %},
    {% if cookie.iconSrc %}"iconSrc": "{{ cookie.iconSrc }}",{% endif %}
    "iconPosition": "{{ cookie.iconPosition }}",
    "adblocker": {% if  cookie.adblocker == true %}true{% else %}false{% endif %},
    "DenyAllCta" : {% if  cookie.DenyAllCta == true %}true{% else %}false{% endif %},
    "AcceptAllCta" : {% if  cookie.AcceptAllCta == true %}true{% else %}false{% endif %},
    "highPrivacy": {% if  cookie.highPrivacy == true %}true{% else %}false{% endif %},
    "handleBrowserDNTRequest": {% if cookie.handleBrowserDNTRequest == true %}true{% else %}false{% endif %},
    "removeCredit": {% if cookie.removeCredit == true %}true{% else %}false{% endif %},
    "moreInfoLink": {% if  cookie.moreInfoLink == true %}true{% else %}false{% endif %},
    "useExternalCss": {% if  cookie.useExternalCss == true %}true{% else %}false{% endif %},
    "useExternalJs": false,
    {% if cookie.cookieDomain %}"cookieDomain": {{ cookie.cookieDomain }},{% endif %}
    "readmoreLink": "{{ cookie.readmoreLink }}",
    "mandatory": {% if cookie.mandatory == true %}true{% else %}false{% endif %},
});

{% include "partials/etd-cookie-custom.html.twig" %}
